<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>{#$title#}</title>
<meta http-equiv="X-UA-Compatible" content="IE=7">
<link rel="shortcut icon" href="{#$QISHI.site_dir#}favicon.ico" />
<meta name="author" content="骑士CMS" />
<meta name="copyright" content="74cms.com" />
<link rel="stylesheet" href="{#$QISHI.site_template#}css/common.css" />
<link rel="stylesheet" href="{#$QISHI.site_template#}css/password.css" />
<script src="{#$QISHI.site_template#}js/png24fix.js"></script>
<script src="{#$QISHI.site_template#}js/jquery.js"></script>
<script type="text/javascript">
	jQuery(document).ready(function($) {
		$("#send_sms").click(function() {
			$.post('?act=send_sms', {mobile: '{#$userinfo.mobile#}'}, function(data) {
				if(data=='success')
				{
					$("#send_sms").hide();
					$("#sendtip").show();
					function SetRemainTime()
					{
						if (SysSecond > 0)
						{
							SysSecond --;
							$("#remainTime").html(SysSecond);
						} 
						else 
						{
							window.clearInterval(InterValObj);
							$("#send_sms").show();
							$("#sendtip").hide();
						}
					}
					SysSecond =60;
					InterValObj = window.setInterval(SetRemainTime, 1000);
				}	
				else
				{
					$("#send_sms").val("获取验证码");
					$("#sendtip").hide();
					alert(data); 
				}
			});
		});
	});
</script>
</head>
<body>
{#include file="./header.htm"#}
<div class="container">
	<div class="password_box">
		<h1>找回密码</h1>
		<div class="password_content">
			<div class="password_step_box">
				<div class="your_account link_blue">您正在找回密码的账号为：<span>{#$userinfo.username#}</span></div>
				<div class="security_step_bar clearfix">
					<div class="s_step step1 sdone">选择找回方式</div>
					<div class="s_step step2 done">进行安全验证</div>
					<div class="s_step step3">重置密码</div>
				</div>
				{#if $get_type==1#}
				<div class="auth_done">
					<div class="auth_p_out">
						<p class="auth_done_p">设置新密码的链接已发送至您的邮箱 : <span>{#$userinfo.email#}</span></p>
						<p class="auth_done_p grey">请您在24小时内登录邮箱，点击邮件内链接为帐号设置新密码</p>
					</div>
				</div>
				{#else#}
				<div class="auth_done">
					<form action="?act=set_pass" method="post">
					<div class="auth_done_item">
						<span class="auth_done_text">校验码已发送至<em>{#$userinfo.mobile#}</em></span>
						<input type="button" name="Submit" value="获取验证码"  id="send_sms"  class="push_btn" moble="{#$mobile#}"/>
				  		<span style="display:none" id="sendtip">效验码已经发出，请注意查收短信，如果没有收到你在可以 <strong style="color:#FF0000" id="remainTime">60</strong> 秒后要求系统重发</span>	
					</div>
					<div class="auth_done_item">
						<input type="text" name="sms_code" class="text span260" placeholder="请输入六位数字验证码" />
					</div>
					<div class="auth_done_item link_blue">
						<input type="submit" value="下一步" class="but75lan" />&nbsp;&nbsp;&nbsp;
						<input type="hidden" name="uid" value="{#$userinfo.uid#}" />
						<input type="hidden" name="passhs" value="{#$userinfo.pwd_hash#}" />
						<input type="hidden" name="get_pass_type" value="{#$get_type#}" />
						<a href="">选择其他方式找回 >></a>
					</div>
					</form>
				</div>
				{#/if#}
			</div>
		</div>
		<div class="bottom_tip">找回密码遇到困难，请与我们联系！客服电话：{#$QISHI.bootom_tel#}</div>
	</div>
</div>
{#include file="./footer.htm"#}
</body>
</html>